---
title: "gke/ERR/2021_010"
linkTitle: "ERR/2021_010"
weight: 1
type: docs
description: >
  Check internal peering forwarding limits which affect GKE.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Internal Load Balancer creation can fail due to VPC internal forwarding rules limits.

### Remediation

You can use the following Cloud Logging filter to find matching log lines:

```
resource.type="k8s_cluster"
log_id("events")
jsonPayload.message:"INTERNAL_FORWARDING_RULES_WITH_PEERING_LIMITS_EXCEEDED"
jsonPayload.reason:"SyncLoadBalancerFailed"
```

### Further information

- [VPC Quotas and Limits](https://cloud.google.com/vpc/docs/quota)
